;*****************************************************************
;
;		ports and pins definitions
;
;		Kleine Leiterplatte mit SMD ATmega8 und pollin LCD
;
;*****************************************************************
;
;Port PB0 = D4 on LCD
;Port PB1 = D5 on LCD
;Port PB2 = D6 on LCD
;Port PB3 = D7 on LCD
;Port PB4 = E  on LCD
;Port PB5 = RS on LCD
;		    R/W connected to ground
;Port PC0 = LED 1
;Port PC1 = LED 2
;Port PC2 = Button right
;Port PC3 = Button left
;
;Port PC4 = SCK on RFM02
;Port PC5 = SDI on RFM02
;Port PD0 = nIRQ on RFM02
;Port PD1 = FSK on RFM02
;Port PD2 = nSEL on RFM02
;
;Port PD3 = free
;Port PD4 = free
;
;Port PD5 = Relais for Ub
;Port PD6 = Relais for direction, right or left 
;
;Port PD7 = output from DCF77 modul (Pollin DCF77)


.equ 	fclock			= 8000000	; 1 Mhz
.equ 	divtc1			= 50005 	; divider for TC1, it musst be adjust by systemclock for a second (startvalue = 50000)
.equ 	div1s			= 20  		; Softwareteiler fr 1 s
.equ 	S_COUNT			= 200		;fclock / 64 / 156	;is the count of 2 seconds for indicate the begin of minute (bit 58 until 0)
.equ 	H_L_DECIDE		= S_COUNT / 2 + 4 ;must be in this case 104

.equ	DCF_PIN			= 7
.equ	DCF_PORT		= PIND
.equ	DCF_PORT_RES	= PORTD		;for set the pull-up resistor
.equ	DCF_DDR			= DDRD
;

.equ 	LCD_Data_Port	= PORTB
.equ	LCD_Init_Port	= DDRB
.equ 	PIN_LCD_E		= 4		;at PORTB
.equ 	PIN_LCD_RS		= 5		;at PORTB


.equ	send_SDO		= PD0
.equ	send_FSK		= PD1
.equ	send_nSEL		= PD2
.equ	send_SDI		= PC5
.equ	send_SCK		= PC4

.equ	ButtonRight		= PC2
.equ	ButtonLeft		= PC3
.equ	ButtonPort		= PINC
.equ	ButtonPortOut	= PORTC
.equ	ButtonDDR		= DDRC

.equ	RelaisDDR		= DDRD
.equ	RelaisPort		= PORTD
.equ	RelaisUb		= PD5
.equ	RelaisDirection	= PD6
.equ	RelaisLED		= PD5	;isn't using

.equ	LED_DDR			= DDRC
.equ	LEDPort			= PORTC
.equ	LEDred			= PC0
.equ	LEDblue			= PC1
.equ	LEDgreen		= PC6	;in this case of cicurit isn't using, for definition only

#define LEDyellow LEDblue		;switch to yellow led


#define _with_RFM_

#define _without_relay_

#define _withDCF77_



;--- END ---


;***************************************************************************
