;*****************************************************************
;
;		ports and pins definitions
;
;		Leiterplatte mit ATmega8 und 2 x 16 LCD
;
;*****************************************************************
;
;Port PB0 = D4 on LCD
;Port PB1 = D5 on LCD
;Port PB2 = D6 on LCD
;Port PB3 = D7 on LCD
;Port PB5 = E  on LCD
;Port PB4 = RS on LCD
;		    R/W connected to ground
;Port PC3 = LED 1 rt
;Port PC4 = LED 2 ge
;port PC5 = LED 3 gn

;Port PC2 = Button oben
;Port PC1 = Button mitte
;Port PC0 = Button unten
;
;Port PC4 = SCK on RFM02
;Port PC5 = SDI on RFM02
;Port PD0 = nIRQ on RFM02
;Port PD1 = FSK on RFM02
;Port PD2 = nSEL on RFM02
;
;Port PD3 = free
;Port PD4 = free
;
;Port PD4 = Relais 0
;Port PD5 = Relais 1 for Ub
;Port PD6 = Relais 2 for direction, right or left 
;Port PD7 = Relais 3
;
;Port PD4 = output from DCF77 modul (Pollin DCF77)


.equ 	fclock			= 8000000	; 1 Mhz
.equ 	divtc1			= 50001 	; divider for TC1, it musst be adjust by systemclock for a second (startvalue = 50000)
.equ 	div1s			= 20  		; Softwareteiler fr 1 s
.equ 	S_COUNT			= 200		;fclock / 64 / 156	;is the count of 2 seconds for indicate the begin of minute (bit 58 until 0)
.equ 	H_L_DECIDE		= S_COUNT / 2 + 4 ;must be in this case 104

.equ	DCF_PIN			= PD3
.equ	DCF_PORT		= PIND
.equ	DCF_PORT_RES	= PORTD		;for set the pull-up resistor
.equ	DCF_DDR			= DDRD
;

.equ 	LCD_Data_Port	= PORTB
.equ	LCD_Init_Port	= DDRB
.equ 	PIN_LCD_E		= PB5		
.equ 	PIN_LCD_RS		= PB4	

.equ	send_SDO		= PD0
.equ	send_FSK		= PD1
.equ	send_nSEL		= PD2
.equ	send_SDI		= PC5
.equ	send_SCK		= PC4

.equ	ButtonUp		= PC2		;upper
.equ	ButtonRight		= PC1		;middle
.equ	ButtonLeft		= PC0		;under
.equ	ButtonPort		= PINC
.equ	ButtonPortOut	= PORTC
.equ	ButtonDDR		= DDRC

.equ	RelaisDDR		= DDRD
.equ	RelaisPort		= PORTD
.equ	RelaisUb		= PD5
.equ	RelaisDirection	= PD6
.equ	RelaisLED		= PD7

.equ	LED_DDR			= DDRC
.equ	LEDPort			= PORTC
.equ	LEDgreen		= PC3
.equ	LEDblue			= PC4
.equ	LEDred			= PC5

#define LEDyellow LEDblue

#define _without_RFM_

#define _with_relay_


;--- END ---
;***************************************************************************
